[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Disable tortoiseSVN from Automatic upgrading to 1.5 client

From: Stefan Küng <tortoisesvn_at_gmail.com>
Date: Wed, 09 Jul 2008 21:52:23 +0200

Todd Carmichael wrote:
> I understand. Thanks
> Sounds like a shared library/.dll approach is needed for clients.

Before now people start agreeing with this and suggest ways to do that:
that will *never*, *ever* happen for TSVN.

Just go back in the mailing list two or three years and you'll discover
big troubles because the apr dlls could be shared accidentally between
clients.

> IntelliJ is 'hard' linked with subversion 1.4 client bits.
> If you are a developer using tools to build code and don't know this SVN
> migration/upgrade policy and Tortoise displays the friendly message "You
> are running 1.4.x and the latest is 1.5, go upgrade" you can easily and
> unknowingly hose yourself.
> Very few members of our team would know these details. Of course, they
> are learning them now the hard way.

I'm sorry, but all Subversion clients clearly state this in their
release notes. Sometimes, you just *have* to read them unless you want
to learn the hard way.

We could either do what you suggest and deal with hundreds of crash
reports and problems because features don't work as expected, or state
the working copy upgrade in the release notes.
We chose the latter...

Stefan

-- 
        ___
   oo  // \\      "De Chelonian Mobile"
  (_,\/ \_/ \     TortoiseSVN
    \ \_/_\_/>    The coolest Interface to (Sub)Version Control
    /_/   \_\     http://tortoisesvn.net

Received on 2008-07-09 21:52:47 CEST

This is an archived mail posted to the TortoiseSVN Users mailing list.